Name:		sddm
Version:	0.1.0
Release:	%mkrel 7
License:	GPLv2+
Summary:	QML based X11 desktop manager
Group:		Graphical desktop/KDE
 
Url:		https://github.com/sddm/sddm
Source0:	https://github.com/sddm/sddm/archive/%{version}.tar.gz
# Originally kdm config, shamelessly stolen from kde-settings
Source1:	sddm.pam

BuildRequires:	cmake
BuildRequires:	systemd-devel
BuildRequires:	upower-devel
BuildRequires:	pam-devel
BuildRequires:	libxcb-devel
BuildRequires:	pkgconfig
BuildRequires:	qt4-devel

Requires:	pam
Requires:	systemd
Requires:	x11-server-xorg
Requires(post):	systemd
Requires(preun): systemd
Requires(postun): systemd

Provides:	service(graphical-login) = sddm

%description
SDDM is a modern display manager for X11 aiming to be fast, simple and
beautiful. It uses modern technologies like QtQuick, which in turn gives the
designer the ability to create smooth, animated user interfaces.

%prep
%setup -q

%build
# get rid of the architecture flag
sed -i "s/-march=native//" CMakeLists.txt
%{cmake_qt4} -DQT_IMPORTS_DIR=%{_qt4_prefix}/imports

%make

%install
make install/fast DESTDIR=%{buildroot} -C build
install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/sddm
# tmpfiles
sed -i "s/AuthDir=\/var\/run\/xauth/AuthDir=\/var\/run\/sddm/" %{buildroot}%{_sysconfdir}/sddm.conf
# set the first VT used to be 1
sed -i "s/^MinimumVT=[0-9]*$/MinimumVT=1/" %{buildroot}%{_sysconfdir}/sddm.conf

%post
%_post_service sddm

%preun
%_preun_service sddm

%files
%doc COPYING README.md CONTRIBUTORS
%config(noreplace)   %{_sysconfdir}/pam.d/sddm
%config(noreplace)   %{_sysconfdir}/sddm.conf
%{_bindir}/sddm
%{_bindir}/sddm-greeter
%{_unitdir}/sddm.service
%{_libdir}/qt4/imports/SddmComponents
%{_datadir}/apps/sddm/faces/*
%{_datadir}/apps/sddm/scripts/*
%{_datadir}/apps/sddm/sddm.conf.sample
%{_datadir}/apps/sddm/themes/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.1.0-7.mga4
+ Revision: 531342
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 sander85 <sander85> 0.1.0-6.mga4
+ Revision: 463132
- Fix requires

* Sat Aug 03 2013 neoclust <neoclust> 0.1.0-5.mga4
+ Revision: 462782
- imported package sddm


* Mon Jul 22 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-5
- Store xauth in /var/run/sddm

* Mon Jul 22 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-4
- Added the documentation bits

* Thu Jul 18 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-3
- Changed the source package to tar.gz
- Config files are now noreplace
- Buildrequires -systemd-devel +systemd +cmake

* Tue Jul 16 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-2
- Removed unneeded BuildRequires
- Fixed systemd scriptlets
- Fixed release
- Simplified setup
- Added Requires needed for basic function
- Added Provides for graphical login

* Thu Jul 04 2013 Martin Briza <mbriza@redhat.com> - 0.1.0-1
- Initial build
